<h2> Battle </h2>

<ul class="heroes">
<li *ngFor="let hero of heroes" [class.selected]="selectedHeroes.includes(hero)" (click)="select(hero)"> <span class="badge">{{hero.id}}</span> {{hero.name}}</li>
</ul>

<h2> Selected Heroes </h2>

<ul class="heroes">
<li *ngFor="let hero of selectedHeroes"> <span class="badge">{{hero.id}}</span> {{hero.name}}</li>
</ul>

<button (click)="battle()">Fight !</button>
<div>
        <p>{{errorMessage}}</p>
</div>

<div *ngIf="this.selectedHeroes.length == 2">
        <p>{{selectedHeroes[0].name}} : {{selectedHeroes[0].healthpoints}} HP</p>
        <p>VS</p>
        <p>{{selectedHeroes[1].name}} : {{selectedHeroes[1].healthpoints}} HP</p>
</div>
